[arch-commits] Commit in kvm/trunk (PKGBUILD qemu-fix-build-for-esd-audio.patch)

Tobias Powalowski tpowa at archlinux.org
Sat Jul 25 07:37:39 EDT 2009


    Date: Saturday, July 25, 2009 @ 07:37:38
  Author: tpowa
Revision: 47694

'add build fix for kvm 88'

Added:
  kvm/trunk/qemu-fix-build-for-esd-audio.patch
Modified:
  kvm/trunk/PKGBUILD

------------------------------------+
 PKGBUILD                           |    7 +++--
 qemu-fix-build-for-esd-audio.patch |   44 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-25 11:22:39 UTC (rev 47693)
+++ PKGBUILD	2009-07-25 11:37:38 UTC (rev 47694)
@@ -1,17 +1,18 @@
 # $Id$
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 pkgname=kvm
-pkgver=87
+pkgver=88
 pkgrel=1
 pkgdesc="Latest KVM QEMU is a generic and open source processor emulator which achieves a good emulation speed by using dynamic translation."
 arch=(i686 x86_64)
 license=('GPL2')
 url="http://www.linux-kvm.org"
-depends=('libsasl' 'sdl' 'alsa-lib' 'esound' 'gnutls>=2.4.1' 'bluez')
+depends=('libsasl' 'curl' 'sdl' 'alsa-lib' 'esound' 'gnutls>=2.4.1' 'bluez')
 install=kvm.install
 conflicts=('qemu')
 provides=('qemu')
 source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz
+        qemu-fix-build-for-esd-audio.patch
         65-kvm.rules)
 
 build()
@@ -19,6 +20,8 @@
     cd ${srcdir}/${pkgname}-${pkgver}
     # don't compile kvm kernel module!
     rm kvm/kernel/configure
+    # fix esound building
+    patch -Np1 -i ../qemu-fix-build-for-esd-audio.patch || return 1
     ./configure --prefix=/usr --audio-drv-list=alsa,sdl,oss,esd --audio-card-list=ac97,sb16,es1370,adlib
     make || return 1
     make DESTDIR=${pkgdir} install || return 1

Added: qemu-fix-build-for-esd-audio.patch
===================================================================
--- qemu-fix-build-for-esd-audio.patch	                        (rev 0)
+++ qemu-fix-build-for-esd-audio.patch	2009-07-25 11:37:38 UTC (rev 47694)
@@ -0,0 +1,44 @@
+From b37fb38b6043e319768fa92d5541fe20afb4741b Mon Sep 17 00:00:00 2001
+From: Anthony Liguori <aliguori at us.ibm.com>
+Date: Wed, 1 Jul 2009 10:07:16 -0500
+Subject: [PATCH 4/4] Fix build for ESD audio
+
+(cherry picked from commit c6a5a71a3a1886afad5eeb214eb6e8785f4e0319)
+
+Signed-off-by: Anthony Liguori <aliguori at us.ibm.com>
+Signed-off-by: Mark McLoughlin <markmc at redhat.com>
+---
+ Makefile |   10 +++++-----
+ 1 files changed, 5 insertions(+), 5 deletions(-)
+
+diff --git a/Makefile b/Makefile
+index fc40431..f5deae9 100644
+--- a/Makefile
++++ b/Makefile
+@@ -139,18 +139,18 @@ obj-y += migration-exec.o
+ endif
+ 
+ ifdef CONFIG_COREAUDIO
+-AUDIO_PT = yes
++AUDIO_PT = y
+ endif
+ ifdef CONFIG_FMOD
+ audio/audio.o audio/fmodaudio.o: CPPFLAGS := -I$(CONFIG_FMOD_INC) $(CPPFLAGS)
+ endif
+ ifdef CONFIG_ESD
+-AUDIO_PT = yes
+-AUDIO_PT_INT = yes
++AUDIO_PT = y
++AUDIO_PT_INT = y
+ endif
+ ifdef CONFIG_PA
+-AUDIO_PT = yes
+-AUDIO_PT_INT = yes
++AUDIO_PT = y
++AUDIO_PT_INT = y
+ endif
+ ifdef AUDIO_PT
+ LDFLAGS += -pthread
+-- 
+1.6.3.3
+



More information about the arch-commits mailing list